{% extends "base_generic.html" %}
{% load el_pagination_tags %}

{% block nav_items %}
    <li class="nav-item p-1">
        <a href="{% url 'collection-combinations' collection_id %}">
            <button class="btn btn-outline-light">Count combinations</button>
        </a>
    </li>
    <li class="nav-item p-1">
        <a href="{% url 'collection-download' collection_id %}">
            <button class="btn btn-outline-light">Export CSV</button>
        </a>
    </li>
{% endblock %}

{% block content %}
    <h3>
        Collection ({{ people.0.collection.created_at }})
    </h3>

    <table class="sortable">
        <thead>
        {# TODO: Consider using verbose_names from backend #}
        <tr>
            <th>Name</th>
            <th>Height</th>
            <th>Mass</th>
            <th>Hair color</th>
            <th>Skin color</th>
            <th>Eye color</th>
            <th>Birth year</th>
            <th>Gender</th>
            <th>Homeworld</th>
            <th>Date</th>
        </tr>
        </thead>
        <tbody class="el-wrapper">
        {% lazy_paginate people %}
        {% include page_template %}
        </tbody>
    </table>
    {% show_more '<span class="btn btn-primary btn-lg">Load more</span>' %}

{% endblock %}

{% block js %}
    {{ block.super }}
    <script src="{{ STATIC_URL }}el-pagination/js/el-pagination.js"></script>
    <script>
        $.endlessPaginate({
            contentSelector: '.el-wrapper'
        });
    </script>
{% endblock %}
